## org.apache.lucene.benchmark.byTask.tasks
Class RepSumByPrefTask

    java.lang.Object
      org.apache.lucene.benchmark.byTask.tasks.PerfTask
          org.apache.lucene.benchmark.byTask.tasks.ReportTask
              org.apache.lucene.benchmark.byTask.tasks.RepSumByPrefTask

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  RepSelectByPrefTask, RepSumByPrefRoundTask

    public class RepSumByPrefTask

extends ReportTask

Report by-name-prefix statistics aggregated by name.
Other side effects: None.

Field Summary
`protected java.lang.String` `prefix`

Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.ReportTask
`COLS, ELAPSED, newline, OP, RECCNT, RECSEC, ROUND, RUNCNT, TOTMEM, USEDMEM`

Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`logStep, NEW_LINE, params`

Constructor Summary
`RepSumByPrefTask(PerfRunData runData)`

Method Summary
`int` `doLogic()` Perform the task once (ignoring repetitions specification) Return number of work items done by this task.
`protected Report` `reportSumByPrefix(java.util.List taskStats)`
`void` `setPrefix(java.lang.String prefix)`
`java.lang.String` `toString()`

Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.ReportTask
`genPartialReport, longestOp, shouldNeverLogAtStart, shouldNotRecordStats, tableTitle, taskReportLine`

Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`clone, close, getDepth, getLogMessage, getName, getParams, getRunData, isDisableCounting, runAndMaybeStats, setDepth, setDisableCounting, setName, setParams, setup, supportsParams, tearDown`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### prefix

    protected java.lang.String prefix

Constructor Detail

### RepSumByPrefTask

    public RepSumByPrefTask(PerfRunData runData)

Method Detail

### doLogic

    public int doLogic()
                throws java.lang.Exception

  Description copied from class: `PerfTask`
  Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.

  Specified by:
    `doLogic` in class `PerfTask`
  Returns:
    number of work items done by this task.
  Throws:
    `java.lang.Exception`

### reportSumByPrefix

    protected Report reportSumByPrefix(java.util.List taskStats)

### setPrefix

    public void setPrefix(java.lang.String prefix)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `PerfTask`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.